EASManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.system
Class EASManager

    java.lang.Object
      org.ocap.system.EASManager

    public abstract class EASManager

extends Object

This class represents a manager that allows applications to register listeners for EAS events.

Field Summary
`static int` | `EAS_MESSAGE_IN_PROGRESS_STATE` Indicates the implementation is processing the EAS message and EAS information is being presented.
`static int` | `EAS_MESSAGE_RECEIVED_STATE` Indicates an EAS message has been received and is about to be processed.
`static int` | `EAS_NOT_IN_PROGRESS_STATE` Indicates an EAS message is not being processed.

Constructor Summary
`EASManager()`

Method Summary
`abstract void` | `addListener(EASListener listener)` Adds a listener for EAS events.
`static EASManager` | `getInstance()` Gets the instance of the EAS Manager class that may be used by the application to register an EASListener.
`int` | `getState()` Gets the EAS state.
`abstract void` | `removeListener(EASListener listener)` Removes a listener from receiving EAS events.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EAS_MESSAGE_RECEIVED_STATE

    public static final int EAS_MESSAGE_RECEIVED_STATE

  Indicates an EAS message has been received and is about to be processed. This state MAY be entered before an EASListener receives an EAS event.

  See Also:
    Constant Field Values

### EAS_MESSAGE_IN_PROGRESS_STATE

    public static final int EAS_MESSAGE_IN_PROGRESS_STATE

  Indicates the implementation is processing the EAS message and EAS information is being presented. This state MAY coincide with resources being taken away from applications.

  See Also:
    Constant Field Values

### EAS_NOT_IN_PROGRESS_STATE

    public static final int EAS_NOT_IN_PROGRESS_STATE

  Indicates an EAS message is not being processed. This state MAY be entered before an EASListener receives an EAS_COMPLETE_EVENT.

  See Also:
    Constant Field Values

Constructor Detail

### EASManager

    public EASManager()

Method Detail

### getInstance

    public static EASManager getInstance()

  Gets the instance of the EAS Manager class that may be used by the application to register an EASListener.

  Returns:
    The EAS manager.

### addListener

    public abstract void addListener(EASListener listener)

  Adds a listener for EAS events.

  Parameters:
    `listener` - The new EAS listener.

### removeListener

    public abstract void removeListener(EASListener listener)

  Removes a listener from receiving EAS events. If the parameter listener wasn't previously added with the `addListener` method, this method does nothing.

  Parameters:
    `listener` - The EAS listener to be removed.

### getState

    public int getState()

  Gets the EAS state. Possible return values are defined by state constants in this class.

  Returns:
    EAS state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD